dpkg-buildflags(1)

NAME
dpkg-buildflags - liefert Bauschalter zum Einsatz beim Paketbau

ÜBERSICHT
dpkg-buildflags [Option...] Befehl

BESCHREIBUNG
dpkg-buildflags ist ein Werkzeug, das zum Abfragen der zu verwendenden Kompilierungsschalter für den Bau von Debian-Paketen eingesetzt wird. Die Standardschalter werden vom Lieferanten definiert, sie können auf mehrere Arten erweitert/überschrieben werden:

1.  systemweit mit /etc/dpkg/buildflags.conf

2.  für den aktuellen Benutzer mit $XDG_CONFIG_HOME/dpkg/buildflags.conf, wobei $XDG_CONFIG_HOME standardmäßig auf $HOME/.config gesetzt ist

3.  temporär mittels Umgebungsvariablen (siehe Abschnitt UMGEBUNG).

Die Konfigurationsdateien können zwei Arten von Direktiven enthalten:

SET Schalter Wert
    Überschreibt den Schalter namens Schalter, um den Wert Wert zu erhalten.

APPEND Schalter Wert
    Erweitert den Schalter namens Schalter mit den in Wert angegebenen Optionen. Ein Leerzeichen wird vor den angehängten Wert vorangestellt, falls der derzeitige Wert nicht leer ist.

Die Konfigurationsdateien können Kommentare auf Zeilen enthalten, die mit einer Raute (#) beginnen. Leere Zeilen werden auch ignoriert.

BEFEHLE

--list
    Gibt die Liste der vom aktuellen Lieferanten unterstützen Schalter (eine pro Zeile) aus. Lesen Sie den Abschnitt UNTERSTÜTZTE SCHALTER für weitere Informationen über sie.

--export=Format
    Auf der Standardausgabe Shell- (falls Format sh ist) oder Make- (falls Format make ist) Befehle ausgeben, die dazu verwandt werden können, alle Kompilierschalter in die Umgebung zu exportieren. Falls der Wert von Format nicht angegeben wird, wird sh angenommen. Nur Kompilierschalter, die mit einem Großbuchstaben beginnen, werden aufgenommen. Bei allen anderen wird angenommen, dass sie für die Umgebung nicht geeignet sind.

--get Schalter
    Gibt den Wert des Schalters auf der Standardausgabe aus. Beendet sich mit 0, falls der Schalter bekannt ist, andernfalls mit 1.

--origin Schalter
    Gibt den Ursprung des von --get gelieferten Werts aus. Beendet sich mit 0, falls der Schalter bekannt ist, andernfalls mit 1. Der Ursprung kann einer der folgenden Werte sein:

    vendor
        der ursprünglich vom Lieferanten gesetzte Schalter wird zurückgeliefert

    system
        der Schalter wurde durch eine systemweite Konfiguration gesetzt/verändert

    user
        der Schalter wurde durch eine benutzerspezifische Konfiguration gesetzt/verändert

    env der Schalter wurde durch eine umgebungsspezifische Konfiguration gesetzt/verändert

--help
    Zeige den Bedienungshinweis und beende.

--version
    Gebe die Version aus und beende sich.

UNTERSTÜTZTE SCHALTER

CFLAGS
    Optionen für den C-Compiler. Der vom Lieferanten gesetzte Standardwert enthält -g und die Standard Optimierungsstufe (normalerweise -O2 oder -O0, falls die Umgebungsvariable DEB_BUILD_OPTIONS noopt definiert.

CPPFLAGS
    Optionen für den C-Präprozessor. Standardwert: leer

CXXFLAGS
    Optionen für den C++-Compiler. Identisch zu CFLAGS.

FFLAGS
    Optionen für den Fortran-Compiler. Identisch zu CFLAGS.

LDFLAGS
    Optionen die beim Linken von Programmen oder Laufzeitbibliotheken an den Compiler weitergegeben werden (falls der Linker direkt aufgerufen wird, müssen -Wl und , aus diesen Optionen entfernt werden). Standardmäßig leer.

DATEIEN

/etc/dpkg/buildflags.conf
    Systemweite Konfigurationsdatei

$XDG_CONFIG_HOME/dpkg/buildflags.conf oder $HOME/.config/dpkg/buildflags.conf
    Benutzer-Konfigurationsdatei

UMGEBUNG

DEB_Schalter_SET
    Diese Variable kann zum Erzwingen des für Schalter zurückgegebenen Werts verwandt werden.

DEB_Schalter_APPEND
    Diese Variable kann zum Anhängen ergänzender Optionen zum Wert, der von Schalter zurückgegeben wird, verwandt werden.

AUTOR
Copyright © 2010 Raphaël Hertzog

Dies ist Freie Software; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE Haftung.

ÜBERSETZUNG
Die deutsche Übersetzung wurde 2004, 2006-2011 von Helge Kreutzmann <debian@helgefjell.de>, 2007 von Florian Rehnisch <eixman@gmx.de> und 2008 von Sven Joachim <svenjoac@gmx.de> angefertigt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 2 oder neuer für die Kopierbedingungen. Es gibt KEINE HAFTUNG.